## maas 0.6

=== debian/changelog ===
maas (1:0.6) focal; urgency=medium

  * Fix snapd version check for default track support
  * Check if the snap is already installed, prompt the user in case it is

 -- Alberto Donato <alberto.donato@canonical.com>  Mon, 09 Mar 2020 15:11:54 +0100

maas (1:0.5) focal; urgency=medium

  * Fix all lintian warning/errors

 -- Alberto Donato <alberto.donato@canonical.com>  Thu, 27 Feb 2020 14:40:33 +0100

maas (1:0.4) focal; urgency=medium

  * Fix description for transitional packages so that tools can properly
    detect them

 -- Alberto Donato <alberto.donato@canonical.com>  Wed, 26 Feb 2020 14:33:15 +0100

maas (1:0.3) focal; urgency=medium

  * Set default snap version to 2.7 if default track support is not available in snapd

 -- Alberto Donato <alberto.donato@canonical.com>  Tue, 25 Feb 2020 12:05:15 +0100

maas (1:0.2) focal; urgency=medium

  * Fix dependencies to pre-depend on debconf and snapd
  * Fix project homepage URL to https

 -- Alberto Donato <alberto.donato@canonical.com>  Thu, 20 Feb 2020 11:49:00 +0100

maas (1:0.1) focal; urgency=medium

  * Install MAAS from the snap, migrating existing install if needed

 -- Alberto Donato <alberto.donato@canonical.com>  Mon, 20 Jan 2020 08:22:01 +0000
