=== debian/control ===
Source: maas
Section: oldlibs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://maas.io/

Package: maas
Architecture: all
Provides: bind9,
          chrony,
          isc-dhcp-server,
          maas-cli,
          maas-common,
          maas-dhcp,
          maas-dns,
          maas-proxy,
          maas-rack-controller,
          maas-region-api,
          maas-region-controller
Conflicts: bind9,
        chrony,
        isc-dhcp-server,
        maas-cli,
        maas-common,
        maas-dhcp,
        maas-dns,
        maas-proxy,
Breaks: maas-rack-controller (<< 1:0.1~),
        maas-region-api (<< 1:0.1~),
        maas-region-controller (<< 1:0.1~)
Replaces: bind9,
          chrony,
          isc-dhcp-server,
          maas-cli,
          maas-common,
          maas-dhcp,
          maas-dns,
          maas-proxy,
          maas-rack-controller (<< 1:0.1~),
          maas-region-api (<< 1:0.1~),
          maas-region-controller (<< 1:0.1~)
Pre-Depends: debconf,
             snapd
Depends: ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

Package: maas-rack-controller
Architecture: all
Depends: maas (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

Package: maas-region-api
Architecture: all
Depends: maas (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.

Package: maas-region-controller
Architecture: all
Depends: maas-region-api (= ${binary:Version}),
         ${misc:Depends}
Description: Transitional package to the maas snap
 This is a transitional package. It can be safely removed.
