## maas 0.7

=== debian/changelog ===
maas (1:0.7) focal; urgency=medium

  * When a track is not specified, default to 2.7/stable. If MAAS deb
    version is higher than 2.7, pick the same track. LP: #1878769
  * Fix issue where "MAAS not currently set up" notice shows even when the
    snap is configured.
  * No-op when upgrading from a transitional deb, as migration already
    happened.
  * Rename "get_snap_mode" to "snap_mode".
  * Rename DEFAULT_SNAP_* variables to align with snap terminology.

 -- Alberto Donato <alberto.donato@canonical.com>  Wed, 06 May 2020 13:48:50 +0200
