=== debian/tests/control ===
Tests: maas-package-test
Depends: @, python-nose, xvfb, python-pip
