## maas 1.2+bzr1373+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 install-dependencies:
 	sudo DEBIAN_FRONTEND=noninteractive apt-get -y \
 		--no-install-recommends install \
-		$(shell sort -u required-packages/*)
+		$(shell sort -u required-packages/base required-packages/dev)
 
 bin/python bin/pip:
 	$(virtualenv) --python=$(python) --system-site-packages $(CURDIR)
@@ -101,7 +101,7 @@
 	$(buildout) install flake8
 	@touch --no-create $@
 
-bin/sphinx: bin/buildout buildout.cfg versions.cfg setup.py
+bin/sphinx bin/sphinx-build: bin/buildout buildout.cfg versions.cfg setup.py
 	$(buildout) install sphinx
 	@touch --no-create $@
 
@@ -138,6 +138,11 @@
 
 doc: bin/sphinx docs/api.rst
 	bin/sphinx
+
+man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))
+
+man/%: docs/man/%.rst | bin/sphinx-build
+	bin/sphinx-build -b man docs man $^
 
 enums: $(js_enums)
 
@@ -154,6 +159,7 @@
 	$(RM) celerybeat-schedule
 	$(RM) docs/api.rst
 	$(RM) -r docs/_autosummary
+	$(RM) -r man/.doctrees
 
 distclean: clean stop
 	$(RM) -r bin include lib local
@@ -175,7 +181,6 @@
 	$(dbrun) bin/maas syncdb --noinput
 	$(dbrun) bin/maas migrate maasserver --noinput
 	$(dbrun) bin/maas migrate metadataserver --noinput
-	$(dbrun) bin/maas config_master_dhcp --ensure
 
 define phony_targets
   build
@@ -190,6 +195,7 @@
   lint
   lint-css
   lint-js
+  man
   sampledata
   syncdb
   test
