=== debian/changelog ===
maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.6) precise-security; urgency=medium

  * Fix compatibility with mod-wsgi security update (LP: #1399016)
    - debian/patches/home-directory.patch: specify a valid home directory
      for the maas user, since mod-wsgi no longer works without one.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Dec 2014 14:00:28 -0500

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.5) precise-security; urgency=low

  * SECURITY UPDATE: incorrect Content-type header allowed cross-site
    scripting vulnerability if an unknown API was used. (LP: #1251336)
    - debian/patches/CVE-2013-1070.patch: Use Content-type text/plain to force
      browsers to not render error messages as HTML.
    - CVE-2013-1070
  * SECURITY UPDATE: /etc/maas/txlongpoll.yaml contained a publicly readable
    password. (LP: #1254034)
    - debian/maas-region-controller.postinst: chown and chmod
      /etc/maas/txlongpoll.yaml with correct permissions
    - CVE-2013-1069

 -- Seth Arnold <seth.arnold@canonical.com>  Mon, 10 Feb 2014 22:49:35 -0800

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.4) precise-security; urgency=low

  * SECURITY UPDATE: failure to authenticate downloaded content (LP: #1039513)
    - debian/patches/CVE-2013-1058.patch: Authenticate downloaded files with
      GnuPG and MD5SUM files. Thanks to Julian Edwards.
    - CVE-2013-1058
  * SECURITY UPDATE: configuration options may be loaded from current working
    directory (LP: #1158425)
    - debian/patches/CVE-2013-1057-1-2.patch: Do not load configuration
      options from the current working directory. Thanks to Julian Edwards.
    - CVE-2013-1057

 -- Seth Arnold <seth.arnold@canonical.com>  Fri, 01 Nov 2013 17:09:57 -0700

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.3) precise-proposed; urgency=low

  * MAAS Stable Release Update:
    - debian/patches/04-dhcp-lease-conflict.patch: Sets expiry lease time
      to 30 seconds (LP: #1069570)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 05 Sep 2013 22:53:10 -0400

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.2) precise-proposed; urgency=low

  * MAAS Stable Release Update,  debian/patches:
    - 99_filestorage_empty_files_lp1204507.patch: Fix to allow the storage
      of empty files when using Juju Go, otherwise machines will fail to
      bootstrap. (LP: #1204507)
    - 99_fix_highbank_localboot_lp1172966.patch: Fix to PXE LOCALBOOT on
      highbank servers by removing a PXE message. Otherwise highbank will
      fail to pxe boot. (LP: #1172966)
    - 99_no_ipmi_detection_kvm_lp1064527.patch: Fix to ensure that IPMI
      detection does not happen on KVM VM's, otherwise enlistment and
      commissioning process will take too long. (LP: #1064527)
    - 99_update_cluster_info_cli_lp1172193.patch: Fix to allow admins to
      update cluster information from the API/CLI and not only restrict it
      to the WebUI. (LP: #1172193)
    - 99_fix_ipmi_power_command_lp1171418: Fix to ensure that ipmi commands
      are always executed regardless of the state of the machine.
      (LP: #1171418)
    - 99_default_timezone_utc_lp1211447.patch: Default to UTC for the
      deployed nodes. (LP: #1211447)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 12 Aug 2013 12:18:34 -0400

maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.1) precise-proposed; urgency=low

  * MAAS Stable Release Update (LP: #1109283). See changelog entry bellow.
  * debian/maas-dhcp.maas-dhcp-server.upstart: leases file should be owned
    by user/group 'dhcpd' instead of root.
  * debian/control: Force dependency version for python-django to
    (>> 1.3.1-4ubuntu1.6).
  * Continue to ship yui3 and raphael with MAAS.
    - debian/patches/04_precise_no_yui_root.patch: Add.
    - debian/control: Drop dependencies on yui3 and raphael.
    - debian/source/include-binaries: Add to not FTBFS
    - debian/extras/jslibs: Ship JS libraries.
    - debian/copyright: Update copyright to reflect libraries license.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 20 Mar 2013 14:01:48 -0400

maas (1.2+bzr1373+dfsg-0ubuntu1) quantal-proposed; urgency=low

  * MAAS Stable Release Update (LP: #1109283):
    This SRU brings a new upstream release of MAAS that removes
    the usage of a cobbler code copy, 'maas-provision' as well as
    several bug fixes. Exception has been granted by the Technical
    Board to proceed. More information can be found in:
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2013-February/001012.html

  [ Andres Rodriguez ]
  * debian/control:
    - Change Conflicts/Replaces for Breaks/Replaces.
    - Conflicts on tftpd-hpa and dnsmasq.
    - Do not pre-depends, but Depends on ${misc:Depends} for 'maas'.

  [ Steve Langasek ]
  * postinst scripts are never called with 'reconfigure' as the script
    argument.  Remove references to this (mythical) invocation.
  * always call 'set -e' from maintainer scripts instead of passing 'sh -e'
    as the interpreter, so that scripts will behave correctly when run via
    'sh -x'.
  * invoke-rc.d is never allowed to not exist - simplify scripts (and make
    them better policy-compliant) by invoking unconditionally.  (The only
    possible exception is in the postrm, where it's *theoretically* possible
    for invoke-rc.d to be missing if the user has completely stripped
    down their system; that's a fairly unreasonable corner case, but we
    might as well be correct if it ever happens.)
  * db_get+db_set is a no-op; don't call db_set to push back a value we just
    got from db_get.
  * Omit superfluous calls to 'exit 0' at the end of each script.
  * Remove maas-cluster-controller prerm script, which called debconf for no
    reason.
  * Don't invoke debconf in the postrm script either, debhelper already does
    this for us.
  * Other miscellaneous maintainer script fixes
  * debian/maas-common.postinst: call adduser and addgroup unconditionally;
    the tools are already designed to DTRT, we don't need to check for the

