=== debian/control ===
--- 
+++ 
@@ -10,15 +10,11 @@
                python-django
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.7
-XS-Testsuite: autopkgtest
 Homepage: https://launchpad.net/maas
 
 Package: maas
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}, ${misc:Depends}
-Depends: maas-cluster-controller, maas-region-controller, python-django-maas
-Conflicts: maas-provision
-Replaces: maas-provision
+Depends: ${misc:Depends}, maas-cluster-controller, maas-region-controller, python-django-maas
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
  nice UI to provision your Ubuntu servers. Each physical server
@@ -35,7 +31,7 @@
 Package: maas-common
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
+Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -56,13 +52,10 @@
          bind9utils,
          dbconfig-common,
          libapache2-mod-wsgi,
-         libjs-raphael,
-         libjs-yui3-full,
-         libjs-yui3-min,
          maas-common (= ${binary:Version}),
          postgresql-9.1,
          pwgen,
-         python-django,
+         python-django (>> 1.3.1-4ubuntu1.6),
          python-django-maas (= ${binary:Version}),
          python-django-piston,
          python-django-south,
@@ -74,7 +67,7 @@
          ${python:Depends}
 Recommends: openssh-server
 Suggests: maas-dns
-Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
+Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -112,7 +105,7 @@
          python-zope.interface,
          ${misc:Depends},
          ${python:Depends}
-Conflicts: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
+Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
 Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3)
 Description: Ubuntu MAAS Server
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -150,7 +143,7 @@
 Section: python
 Architecture: all
 Depends: python-oauth, ${misc:Depends}, ${python:Depends}
-Conflicts: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
+Breaks: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
 Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
 Description: Ubuntu MAAS API Client - (python files)
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -188,7 +181,8 @@
          ${misc:Depends},
          ${python:Depends}
 Suggests: maas-dhcp (= ${binary:Version})
-Conflicts: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ),  maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 ), tftpd-hpa
+Conflicts: tftpd-hpa
+Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ),  maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
 Description: Ubuntu MAAS Cluster Controller
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -244,7 +238,7 @@
 Package: maas-dhcp
 Architecture: all
 Depends: isc-dhcp-server, ${misc:Depends}
-Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
+Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Description: Ubuntu MAAS Server - DHCP Configuration (meta-package)
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
@@ -264,7 +258,8 @@
  maas-region-controller (= ${binary:Version}),
  maas-dhcp (= ${binary:Version}),
  ${misc:Depends}
-Conflicts: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1), dnsmasq
+Conflicts: dnsmasq
+Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
 Description: Ubuntu MAAS Server - DNS configuration (metapackage)
  Ubuntu MAAS Server is the successor to Orchestra. It offers a
